Name:           libmatthew-java
Version:        0.7.2
Release:        3%{?dist}
Summary:        A few useful Java libraries
Group:          Development/Libraries
License:        LGPLv2

# actual upstream:
URL: http://matthew.ath.cx/projects/java/
Source0: http://matthew.ath.cx/projects/java/%{name}-%{version}.tar.gz

# upstream author is also the debian maintainer for this package.
# he gets newer releases into debian before he puts them up on
# the upstream website. so we use the "original" source from debian
# (ie, the source before debian patches are applied to it)
#URL:            http://packages.debian.org/source/sid/%{name}
#Source0:        http://ftp.de.debian.org/debian/pool/main/libm/%{name}/%{name}_%{version}.orig.tar.gz
Patch0:         install_doc.patch
Patch1:         jpackage_compliance.patch
Patch2:         classpath_fix.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-1.6.0-openjdk-devel
BuildRequires:  jpackage-utils

Requires:       java-1.6.0-openjdk
Requires:       jpackage-utils

%description
A colleciton of Java libraries:
- Unix Sockets Library
  This is a collection of classes and native code to allow you to read
  and write Unix sockets in Java.

- Debug Library
  This is a comprehensive logging and debugging solution.

- CGI Library
  This is a collection of classes and native code to allow you to write
  CGI applications in Java.

- I/O Library
  This provides a few much needed extensions to the Java I/O subsystem.

- Hexdump
  This class formats byte-arrays in hex and ascii for display.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Libraries
Requires:       jpackage-utils


%description javadoc
Javadoc for %{name}


%prep
%setup -q
%patch0 -p1

# this patch adds a system dependent path, so we fix it before
# applying the patch
sed -e 's|@JNIPATH@|%{_libdir}/%{name}|' %{PATCH1} | patch -p1 

%patch2 -p1
#%patch3 -p1
#%patch4 -p1


%build
export JAVA_HOME=%{java_home}
make %{?_smp_mflags} \
    CFLAGS='%{optflags}'\
    GCJFLAGS='%{optflags}' \
    LDFLAGS='%{optflags}' \
    PPFLAGS='%{optflags}' \
    -j1


%install
rm -rf $RPM_BUILD_ROOT
make install \
    DESTDIR=$RPM_BUILD_ROOT \
    JARDIR=%{_libdir}/%{name} \
    LIBDIR=%{_libdir}/%{name} \
    DOCDIR=%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%doc COPYING INSTALL README

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}
%doc COPYING


%changelog
* Thu Jul 8 2010 Omair Majid <omajid@redhat.com> 0.7.2-3
- Add license file to javadoc subpackage

* Wed Jan 13 2010 Alexander Kurtakov <akurtako@redhat.com> 0.7.2-2
- Export JAVA_HOME to fix build.

* Wed Jan 13 2010 Alexander Kurtakov <akurtako@redhat.com> 0.7.2-1
- Update to upstream 0.7.2.
- Drop gcj_support.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 4 2008 Omair Majid <omajid@redhat.com> 0.7.1-4
- Added -j1 to disable parallel build. Fixes the race condition that resulted 
  in class files of size 0
- Eliminated early_upstream.patch (patch was adapted by upstream)

* Thu Aug 28 2008 Omair Majid <omajid@redhat.com> 0.7.1-3
- Created new patches that dont cause fuzz when patching.

* Wed Jul 2 2008 Omair Majid <omajid@redhat.com> 0.7.1-2
- Fixed hardcoded paths for jni libraries

* Wed Jun 25 2008 Omair Majid <omajid@redhat.com> 0.7.1-1.fc9
- Initial build for fedora
